Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffLabelTreeCellEditor

java.lang.Object
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffLabelTreeCellEditor

All Implemented Interfaces:
  `CellEditor`, `TreeCellEditor`

public class TariffLabelTreeCellEditor extends Object implements TreeCellEditor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffLabelTreeCellEditor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCellEditorListener(CellEditorListener l)`
  `void`
  `cancelCellEditing()`
  `Object`
  `getCellEditorValue()`
  `Component`
  `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
  `boolean`
  `isCellEditable(EventObject eventObject)`
  `void`
  `removeCellEditorListener(CellEditorListener l)`
  `boolean`
  `shouldSelectCell(EventObject anEvent)`
  `boolean`
  `stopCellEditing()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TariffLabelTreeCellEditor

    public TariffLabelTreeCellEditor()

- ## Method Details

  - ### getCellEditorValue

    public Object getCellEditorValue()
    Specified by:
      `getCellEditorValue` in interface `CellEditor`

  - ### isCellEditable

    public boolean isCellEditable(EventObject eventObject)
    Specified by:
      `isCellEditable` in interface `CellEditor`

  - ### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)
    Specified by:
      `shouldSelectCell` in interface `CellEditor`

  - ### stopCellEditing

    public boolean stopCellEditing()
    Specified by:
      `stopCellEditing` in interface `CellEditor`

  - ### cancelCellEditing

    public void cancelCellEditing()
    Specified by:
      `cancelCellEditing` in interface `CellEditor`

  - ### addCellEditorListener

    public void addCellEditorListener(CellEditorListener l)
    Specified by:
      `addCellEditorListener` in interface `CellEditor`

  - ### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener l)
    Specified by:
      `removeCellEditorListener` in interface `CellEditor`

  - ### getTreeCellEditorComponent

    public Component getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)
    Specified by:
      `getTreeCellEditorComponent` in interface `TreeCellEditor`